%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Text_Flowed
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Text-Flowed
Version:        2.0.4
Release:        1%{?dist}
Summary:        Horde API for flowed text as per RFC 3676

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

#Patch0:         https://github.com/horde/Text_Flowed/commit/d64eb3a776eb017caa7a504ac4b4d9608bfcf1cc.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-pear
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Util) >= 3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
The Horde_Text_Flowed:: class provides common methods for manipulating text
using the encoding described in RFC 3676 ('flowed' text).


%prep
%setup -q -c -T
tar xif %{SOURCE0}

cd %{pear_name}-%{version}
#%patch0 -p1 -b .upstream

sed -e 's/md5sum="[^"]*"//' ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit -d date.timezone=UTC --bootstrap bootstrap.php .


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Text
%{pear_testdir}/%{pear_name}


%changelog
* Thu Dec 19 2019 josef radinger <cheese@nosuchhost.net> - 2.0.4-1
- bump version
- remove patch0
- fix check section

* Mon Nov 25 2019 josef radinger <cheese@nosuchhost.net> - 2.0.3-2
- fix build on epel-8

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.0.3-1
- bump version

* Thu Dec 03 2015 josef radinger <cheese@nosuchhost.net> - 2.0.2-2
- new check-section taken from official rpms

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.0.2-1
- bump version

* Mon Nov 19 2012 Remi Collet <RPMS@FamilleCollet.com> - 2.0.1-1
- Update to 2.0.1 for remi repo

* Fri Nov  2 2012 Remi Collet <RPMS@FamilleCollet.com> - 2.0.0-1
- Update to 2.0.0 for remi repo

* Thu Jun 21 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.1-1
- Upgrade to 1.0.1

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.0-1
- Initial package
